<!-- Copyright (C) 2022-2023 Brennen Chiu -->
<!-- Copyright (C) 2023 Andrew Rechnitzer -->

{% extends "base/base.html" %}
{% block title %}Web Plom - Scan{% endblock %}
{% block page_heading %}Manage bundle{% endblock %}

{% block main_content %}
<div style="margin: 0px 0px 16px 2.5px">
    <div class="card w-75">
        <div class="card-body">
            <div class="row">
                <div class="col-4">
                  <h5>Bundle <q> {{ slug }} </q> summary</h5>
		  <ul>
		    <li>{{ known_pages }} / {{ total_pages }} known pages</li>
		    {% if known_pages != total_pages %}
		    <li>{{ unknown_pages }} unknown pages</li>
		    <li>{{ extra_pages }} extra pages</li>
		    <li>{{ discard_pages }} discard pages</li>
		    <li>{{ error_pages }} error pages</li>
		    {% endif %}
		  </ul>
                </div>
                <div class="col-8">
                    <!-- <h5>Bundle Contains:</h5> -->
                    <!-- <div hx-get="{% url 'scan_bundle_table' timestamp index %}" hx-trigger="load"></div> -->
                </div>
            </div>
        </div>
    </div>
</div>
{% if replace_image_success_message %}
<div class="card w-75 bg-success mb-3" style="color: white;">
    <p style="margin: 3px 15px">{{ replace_image_success_message }}</p>
</div>
{% elif replace_image_error_message %}
<div class="card w-75 bg-danger mb-3" style="color: white;">
    <p style="margin: 3px 15px">{{ replace_image_error_message }}</p>
</div>
{% endif %}
<div style="margin: 0px 0px 16px 2.5px">
  <a class="btn btn-success" href="{% url 'scan_home' %}">
    <i class="bi bi-chevron-left"></i>
    Return to upload
  </a>
</div>
<div style="margin: 0px 0px 16px 2.5px">
  <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
        data-bs-toggle="collapse"
        role="button"
        aria-expanded="false"
        aria-controls="pagesList"
        href="#pages"
    >
        <i class="bi bi-chevron-down"></i>
        View pages
    </a>
    <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
        data-bs-toggle="collapse"
        role="button"
        aria-expanded="false"
        aria-controls="pagesList"
        href="#viewValidPages"
    >
        <i class="bi bi-chevron-down"></i>
        View Valid pages
    </a>
    <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
        data-bs-toggle="collapse"
        role="button"
        aria-expanded="false"
        aria-controls="pagesList"
        href="#viewErrorPages"
    >
        <i class="bi bi-chevron-down"></i>
        View Error pages
    </a>
    <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
        data-bs-toggle="tooltip"
        data-bs-placement="top"
        title="Not implemented yet"
    >
        Test Order View
    </a>
    <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
        data-bs-toggle="tooltip"
        data-bs-placement="top"
        title="Not implemented yet"
    >
        Bundle Order View
    </a>
    {% comment %} <a 
        class="btn text-start" 
        style="background-color: lightgrey;"
    >
        Push All Pages
    </a> {% endcomment %}
</div>
<div style="margin: 0px 0px 16px 2.5px">
    <div class="collapse" id="pages">
        <div class="card" style="width: 66%;">
          <div class="container text-center">
	    <div class="row row-cols-8">
              {% for pg in pages %}
	      <div class="col-1">
		{% if pg.status == 'known' %}
		<button class="btn m-1 btn-outline-success"
			hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			hx-swap="outerHTML"
			hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
			data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="paper-{{pg.info.paper_number}}.{{pg.info.page_number}}"
			>
		  {% elif pg.status == 'extra' %}
		  <button
		    {% if pg.info.question_list %}		
		    class="btn m-1 btn-outline-info"
		    {% else %}
		    class="btn m-1 btn-info"
		    {% endif %}
		    hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
		    hx-swap="outerHTML"
		    hx-target="#navFragment"
		    hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
		    data-bs-toggle="tooltip" data-bs-placement="top"
		    {% if pg.info.question_list %}		
		    data-bs-title="Extra page - {{pg.info.paper_number}}.{{ pg.info.question_list }}"
		    {% else %}
		    data-bs-title="Extra page - no data"
		    {% endif %}
		    >
		    {% elif pg.status == 'unread' %}
		    <button class="btn m-1 btn-outline-dark"
			    hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			    hx-swap="outerHTML"
			    hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
			    data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="qr-unread"
			    >
		      {% elif pg.status == 'unknown' %}
		      <button class="btn m-1 btn-warning"
			      hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			      hx-swap="outerHTML"
			      hx-target="#navFragment"
			      hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
			      data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="Unknown page"
			      >
			{% elif pg.status == 'error' %}
		  <button class="btn m-1 btn-danger"
			hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			hx-swap="outerHTML"
			hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
		     data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="error: {{pg.info.reason}}"
		     >
			{% elif pg.status == 'discard' %}
		  <button class="btn m-1 btn-outline-dark"
			hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			hx-swap="outerHTML"
			hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
		     data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="error: {{pg.info.reason}}"
		     >
		  {% endif %}
		  p{{pg.order}}
		</button>
	      </div>
	      {% endfor %}
	    </div>
	  </div>
	</div>
    </div>
</div>


<div style="margin: 0px 0px 16px 2.5px">
    <div class="collapse" id="viewValidPages">
        <div class="card" style="width: 66%;">
          <div class="container text-center">
	    <div class="row row-cols-8">
              {% for pg in pages %}
		{% if pg.status == 'known' %}
	      <div class="col-1">
		<button class="btn m-1 btn-outline-success"
			  hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			  hx-swap="outerHTML"
			  hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
		   data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="paper-{{pg.info.paper_number}}.{{pg.info.page_number}}"
		   >
		  p{{pg.order}}
		</button>
	      </div>
	      {% elif pg.status == 'extra' %}
	      <div class="col-1">
		<button
		  {% if pg.info.question_list %}		
		  class="btn m-1 btn-outline-info"
		  {% else %}
		  class="btn m-1 btn-info"
		  {% endif %}
		  hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
		  hx-swap="outerHTML"
		  hx-target="#navFragment"
		  hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
		  data-bs-toggle="tooltip" data-bs-placement="top"
		  {% if pg.info.question_list %}		
		  data-bs-title="Extra page - {{pg.info.paper_number}}.{{ pg.info.question_list }}"
		  {% else %}
		  data-bs-title="Extra page - no data"
		  {% endif %}
		  >
		  p{{pg.order}}
		</button>
	      </div>
		  {% endif %}
	      {% endfor %}
	    </div>
	  </div>
	</div>
    </div>
</div>

<div style="margin: 0px 0px 16px 2.5px">
    <div class="collapse" id="viewErrorPages">
        <div class="card" style="width: 66%;">
          <div class="container text-center">
	    <div class="row row-cols-8">	      
              {% for pg in pages %}
	      {% if pg.status == 'unknown' %}
	      <div class="col-1">
		<button class="btn m-1 btn-warning"
			  hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			  hx-swap="outerHTML"
			  hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
		   data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="Unknown page"
		   >
		  p{{pg.order}}
		</button>
	      </div>
	      {% elif pg.status == 'error' %}
	      <div class="col-1">
		<button class="btn m-1 btn-danger"
			hx-get="{% url 'scan_nav_bundle' timestamp forloop.counter0 %}"
			hx-swap="outerHTML"
			hx-target="#navFragment"
			hx-replace-url="{% url 'scan_manage_bundle' timestamp forloop.counter0 %}"
			data-bs-toggle="tooltip" data-bs-placement="top" data-bs-title="error: {{pg.info.reason}}"
		   >
		  p{{pg.order}}
		</button>
	      </div>
	      {% endif %}
	    {% endfor %}
	    </div>
	  </div>
	</div>
    </div>
</div>



<div class="container w-100 p-0 m-3" id="navFragment"
     hx-get="{% url 'scan_nav_bundle' timestamp index %}"
     hx-swap="outerHTML"
     hx-trigger="load"     
     >
</div>

<script>
    var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
    var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
        return new bootstrap.Tooltip(tooltipTriggerEl)
    })
</script>
{% endblock %}
